#include <stdint.h>
#include <string>
#include <vector>

void test8WriteLog(const std::string &msg);

void test8_init(uint8_t domainid, std::string appname);

void command_callback(std::string src, std::string dest, std::string type,
                      std::string reserve1, std::string reserve2,
                      std::vector<uint8_t>& data);

void telemetry_callback(std::string src, std::string dest, std::string type,
                      std::string reserve1, std::string reserve2,
                      std::vector<uint8_t>& data);
                
void test8_command_Pub(uint8_t* data, std::string dest, uint16_t len);

void test8_telemetry_Pub(uint8_t* data, std::string dest, uint16_t len);
